### Function

# EDataServer WebDAVAccessControlEntry new

since: 3.26

#### Declaration [src]

    EWebDAVAccessControlEntry*
    e_webdav_access_control_entry_new (
      EWebDAVACEPrincipalKind principal_kind,
      const gchar* principal_href,
      guint32 flags,
      const gchar* inherited_href
    )

#### Description [src]

Describes one Access Control Entry (ACE).

The `flags` should always contain either `E_WEBDAV_ACE_FLAG_GRANT` or `E_WEBDAV_ACE_FLAG_DENY` value.

Use `e_webdav_access_control_entry_append_privilege()` to add respective privileges to the entry.

Available since: 3.26

#### Parameters

`principal_kind`

  Type: `EWebDAVACEPrincipalKind`

  An `EWebDAVACEPrincipalKind`.

`principal_href`

  Type: `const gchar*`

  Principal href; should be set only if `principal_kind` is `E_WEBDAV_ACE_PRINCIPAL_HREF`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint32`

  Bit-or of `EWebDAVACEFlag` values.

`inherited_href`

  Type: `const gchar*`

  Href of the resource from which inherits; should be set only if `flags` contain E_WEBDAV_ACE_FLAG_INHERITED.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EWebDAVAccessControlEntry`

A newly created `EWebDAVAccessControlEntry`, prefilled with given values. Free it with e_webdav_access_control_entry_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.